@@ -9,19 +9,8 @@ To install this, you can follow the commands below:
```bash
git clone https://gitlab.com/Volkor/supload.git
cd curl-uploader
chmod +x install.sh
./install.sh
```
If you install supload to anything but the default (conflicting filenames), mentally replace `supload` with whatever you named it if you spot it in the documentation
if the install.sh fails (report the actual issue), and copy the files manually as a workaround with:
type$@>/dev/null 2>&1 ||{echo>&2 "I require "$@" but it's not installed. Aborting.";exit 1;}
}
check_opt(){
type$@>/dev/null 2>&1 ||{echo>&2 "I recommend you install "$@" for full functionality";}
}
install(){
if sudo ln-s$PWD/supload.sh /usr/bin/supload ;then
echo"Installation Successful, You can now use the command 'supload'!'"
exit 0
else
while true;do# Fixing menu
options=("${r}D${n}elete the current file at /usr/bin/supload and reinstall (Not recommended)"\
"${r}U${n}se an alternative name for SUpload (Recommended)"\
"${r}E${n}xit and give up like a little baby.")
PS3="${red}Failed to create symbolic link.${n} Enter an option [1,2,3/D,U,E]"
select opt in"${options[@]}"
do
case$REPLYin
1 |[Dd]*)sudo rm /usr/bin/supload;install;;
2 |[Uu]*)read-p"What name would you want to use (cumload, upload, cumzone, supload)" newname;sudo ln-s$PWD/supload.sh /usr/bin/$newname;echo"Installation Successful, You can now use the command '"$newname"'!";exit;;
response=$(curl $CURL_OPTIONS-Ffile=@"$1""$BASE_URL")||{echo-e>&2 "${R}ERROR:${NC} Curl upload failure. (Invalid file, or bad internet connection)";exit 1;}